HTMLClipImpl (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.model.impl

## Class HTMLClipImpl

- java.lang.Object
- - tv.amwa.maj.model.impl.InterchangeObjectImpl
  - - tv.amwa.maj.model.impl.ComponentImpl
    - - tv.amwa.maj.model.impl.SegmentImpl
      - - tv.amwa.maj.model.impl.SourceReferenceSegmentImpl
        - - tv.amwa.maj.model.impl.TextClipImpl
          - - tv.amwa.maj.model.impl.HTMLClipImpl

- All Implemented Interfaces:
    Serializable, Cloneable, QComponent, QSegment, MediaEntity, MetadataObject, Component, HTMLClip, InterchangeObject, Segment, SourceReferenceSegment, TextClip

      @MediaClass(uuid1=218169601,
                  uuid2=257,
                  uuid3=4864,
                  uuid4={6,14,43,52,2,6,1,1},
                  definedName="HTMLClip",
                  description="Reference to HTML text essence.",
                  symbol="HTMLClip")
      public class HTMLClipImpl
      extends TextClipImpl
      implements HTMLClip, Serializable, Cloneable

  Implements a reference to HTML text essence.

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class tv.amwa.maj.model.impl.InterchangeObjectImpl

      `ObjectClassPropertyID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HTMLClipImpl()`
    `HTMLClipImpl(PackageID sourceID, int sourceTrackID)` Creates and initializes a new HTML clip, which represents an HTML document and identifies the source of the document.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HTMLClip` | `clone()` Create a cloned copy of this interchange object.
    `String` | `getBeginAnchor()` Returns the begin anchor property of this HTML clip, which delineates the anchor that is the start of the reference's text.
    `String` | `getEndAnchor()` Returns the end anchor property of this HTML clip, which delineates the anchor that is the end of the reference's text.
    `void` | `setBeginAnchor(String beginAnchor)` Sets the begin anchor property of this HTML clip, which delineates the anchor that is the start of the reference's text.
    `void` | `setEndAnchor(String endAnchor)` Sets the end anchor property of this HTML clip, which delineates the anchor that is the end of the reference's text.

    - ### Methods inherited from class tv.amwa.maj.model.impl.SourceReferenceSegmentImpl

      `clearChannelIDs, clearMonoSourceTrackIDs, getChannelIDs, getChannelIDsSize, getMonoSourceTrackIDs, getMonoSourceTrackIDsSize, getSourcePackageID, getSourcePackageIDString, getSourceTrackID, initializeSourceTrackID, setChannelIDs, setMonoSourceTrackIDs, setSourcePackageID, setSourcePackageIDString, setSourceTrackID`

    - ### Methods inherited from class tv.amwa.maj.model.impl.SegmentImpl

      `generateSequence, getCutPoint, getKeyOffset, getPackLayerKeyIndicator, getSegmentBlob, getTrackBlob, getTrackKeyRenderSequence, getTrackName, getTrackRenderSequence, segmentOffsetToTC, segmentTCToOffset, setCutPoint, setKeyOffset, setPackLayerKeyIndicator, setSegmentBlob, setTrackBlob, setTrackKeyRenderSequence, setTrackName, setTrackRenderSequence`

    - ### Methods inherited from class tv.amwa.maj.model.impl.ComponentImpl

      `appendComponentAttribute, appendComponentAttribute, appendComponentKLVData, appendComponentUserComment, appendComponentUserComment, clearComponentAttributes, clearComponentKLVData, clearComponentUserComments, countComponentAttributes, countComponentKLVData, countComponentUserComments, getComment, getComponentAttributes, getComponentDataDefinition, getComponentKLVData, getComponentLength, getComponentUserComments, getEditName, getJupiterClipOffset, getJupiterID, getLengthPresent, initializeComponentDataDefinition, prependComponentAttribute, prependComponentKLVData, prependComponentUserComment, removeComponentAttribute, removeComponentKLVData, removeComponentUserComment, setComponentDataDefinition, setComponentLength, setComponentLengthFromStream, setEditName, setJupiterClipOffset, setJupiterID, setLengthPresent`

    - ### Methods inherited from class tv.amwa.maj.model.impl.InterchangeObjectImpl

      `addApplicationPlugin, appendXMLChildren, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getLinkedGenerationIDString, getObjectClass, getPersistentID, getPersistentIndex, hashCode, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setLinkedGenerationIDString, setObjectClass, setPersistentID, setPersistentIndex, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tv.amwa.maj.model.SourceReferenceSegment

      `getChannelIDs, getChannelIDsSize, getMonoSourceTrackIDs, getMonoSourceTrackIDsSize, getSourcePackageID, getSourceTrackID, setChannelIDs, setMonoSourceTrackIDs, setSourcePackageID, setSourceTrackID`

    - ### Methods inherited from interface tv.amwa.maj.model.Segment

      `generateSequence, segmentOffsetToTC, segmentTCToOffset`

    - ### Methods inherited from interface tv.amwa.maj.model.Component

      `appendComponentAttribute, appendComponentAttribute, appendComponentKLVData, appendComponentUserComment, appendComponentUserComment, clearComponentAttributes, clearComponentKLVData, clearComponentUserComments, countComponentAttributes, countComponentKLVData, countComponentUserComments, getComponentAttributes, getComponentDataDefinition, getComponentKLVData, getComponentLength, getComponentUserComments, getLengthPresent, removeComponentAttribute, removeComponentKLVData, removeComponentUserComment, setComponentDataDefinition, setComponentLength, setLengthPresent`

    - ### Methods inherited from interface tv.amwa.maj.model.InterchangeObject

      `addApplicationPlugin, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getObjectClass, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setObjectClass, toString`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEntity

      `getPersistentID, setPersistentIndex`

- - ### Constructor Detail

    - #### HTMLClipImpl

          public HTMLClipImpl()

    - #### HTMLClipImpl

          public HTMLClipImpl(PackageID sourceID,
                              @UInt32
                              int sourceTrackID)
                       throws NullPointerException,
                              IllegalArgumentException

      Creates and initializes a new HTML clip, which represents an HTML document and identifies the source of the document. An HTML clip must have a data definition of `DataDefinitionConstant.Auxiliary` and is static and so has no length.

      Parameters:
        `sourceID` - Reference to the package containing the HTML essence.
        `sourceTrackID` - Reference to the track in the package containing the HTML clip.
      Throws:
        `NullPointerException` - The source ID argument is `null`.
        `IllegalArgumentException` - The track id value must be non-negative.

  - ### Method Detail

    - #### getBeginAnchor

          @MediaProperty(uuid1=87033345,
                         uuid2=256,
                         uuid3=0,
                         uuid4={6,14,43,52,1,1,1,2},
                         definedName="BeginAnchor",
                         typeName="UTF16String",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=5121,
                         symbol="BeginAnchor")
          public String getBeginAnchor()
                                                                                                                                                                                                                                                                                                                                                                                throws PropertyNotPresentException

      Description copied from interface: `HTMLClip`

      Returns the begin anchor property of this HTML clip, which delineates the anchor that is the start of the reference's text. This is an optional property.

      Specified by:
        `getBeginAnchor` in interface `HTMLClip`
      Returns:
        Begin anchor property of this HTML clip.
      Throws:
        `PropertyNotPresentException` - The optional begin anchor property is not present in this HTML clip.

    - #### setBeginAnchor

          @MediaPropertySetter(value="BeginAnchor")
          public void setBeginAnchor(String beginAnchor)

      Description copied from interface: `HTMLClip`

      Sets the begin anchor property of this HTML clip, which delineates the anchor that is the start of the reference's text. Set this optional property to `null` to omit it.

      Specified by:
        `setBeginAnchor` in interface `HTMLClip`
      Parameters:
        `beginAnchor` - Begin anchor property of this HTML clip.

    - #### getEndAnchor

          @MediaProperty(uuid1=87033346,
                         uuid2=256,
                         uuid3=0,
                         uuid4={6,14,43,52,1,1,1,2},
                         definedName="EndAnchor",
                         typeName="UTF16String",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=5122,
                         symbol="EndAnchor")
          public String getEndAnchor()
                                                                                                                                                                                                                                                                                                                                                                          throws PropertyNotPresentException

      Description copied from interface: `HTMLClip`

      Returns the end anchor property of this HTML clip, which delineates the anchor that is the end of the reference's text. This is an optional property.

      Specified by:
        `getEndAnchor` in interface `HTMLClip`
      Returns:
        End anchor property of this HTML clip.
      Throws:
        `PropertyNotPresentException` - The optional end anchor property is not present in this HTML clip.

    - #### setEndAnchor

          @MediaPropertySetter(value="EndAnchor")
          public void setEndAnchor(String endAnchor)

      Description copied from interface: `HTMLClip`

      Sets the end anchor property of this HTML clip, which delineates the anchor that is the end of the reference's text. Set this optional property to `null` to omit it.

      Specified by:
        `setEndAnchor` in interface `HTMLClip`
      Parameters:
        `endAnchor` - End anchor property of this HTML clip.

    - #### clone

          public HTMLClip clone()

      Description copied from interface: `InterchangeObject`

      Create a cloned copy of this interchange object.

      Specified by:
        `clone` in interface `MediaEntity`
      Specified by:
        `clone` in interface `Component`
      Specified by:
        `clone` in interface `HTMLClip`
      Specified by:
        `clone` in interface `InterchangeObject`
      Specified by:
        `clone` in interface `Segment`
      Specified by:
        `clone` in interface `SourceReferenceSegment`
      Specified by:
        `clone` in interface `TextClip`
      Overrides:
        `clone` in class `TextClipImpl`
      Returns:
        Cloned copy of this interchange object.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.